org.springframework.web.socket.server.support

## Class HandshakeInterceptorChain

- java.lang.Object
- - org.springframework.web.socket.server.support.HandshakeInterceptorChain

    public class HandshakeInterceptorChain
    extends Object

A helper class that assists with invoking a list of handshake interceptors.

Since:
  4.0
Author:
  Rossen Stoyanchev

### Constructor Summary

Constructors
Constructor and Description
`HandshakeInterceptorChain(List<HandshakeInterceptor> interceptors, WebSocketHandler wsHandler)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `applyAfterHandshake(org.springframework.http.server.ServerHttpRequest request, org.springframework.http.server.ServerHttpResponse response, Exception failure)`
`boolean` `applyBeforeHandshake(org.springframework.http.server.ServerHttpRequest request, org.springframework.http.server.ServerHttpResponse response, Map<String,Object> attributes)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HandshakeInterceptorChain

    public HandshakeInterceptorChain(@Nullable
                                     List<HandshakeInterceptor> interceptors,
                                     WebSocketHandler wsHandler)

### Method Detail

#### applyBeforeHandshake

    public boolean applyBeforeHandshake(org.springframework.http.server.ServerHttpRequest request,
                                        org.springframework.http.server.ServerHttpResponse response,
                                        Map<String,Object> attributes)
                                 throws Exception

Throws:
  `Exception`

#### applyAfterHandshake

    public void applyAfterHandshake(org.springframework.http.server.ServerHttpRequest request,
                                    org.springframework.http.server.ServerHttpResponse response,
                                    @Nullable
                                    Exception failure)